with Ada.Exceptions;         use Ada.Exceptions;
with Ada.Text_IO;            use Ada.Text_IO;
with Client_Agents;          use Client_Agents;
with Specs;                  use Specs;

procedure Dynamic_Servers is

   use Modulo_Core_Range;

   Agents      : array (Core_Range) of Agent;
   Agent_Index : Core_Range := Core_Range'First;

begin
   for x in Pix_Range_x loop
      Agents (Agent_Index).Process (x);
      Agent_Index := Succ_Mod (Agent_Index);
   end loop;

exception
   when E : others => Put_Line (Exception_Information (E));

end Dynamic_Servers;
