with Specs;                  use Specs;
with System.Multiprocessors; use System.Multiprocessors;

package Hold_when_Busy is

   protected Busy_Nodes is

      entry Hold (Job : Jobs; Diverge_Column : out Natural_Array);
      procedure Inc;
      procedure Dec;

   private
      No_Of_Busy_Nodes : CPU_Range := 0;

   end Busy_Nodes;

end Hold_when_Busy;
