with Central_Server; use Central_Server;

package body Hold_when_Busy is

   protected body Busy_Nodes is

      entry Hold (Job : Jobs; Diverge_Column : out Natural_Array)
        when No_of_Busy_Nodes < Utilized_Cores is

      begin
         requeue Server.Compute;
      end Hold;

      procedure Inc is

      begin
         No_Of_Busy_Nodes := CPU_Range'Succ (No_Of_Busy_Nodes);
      end Inc;

      procedure Dec is

      begin
         No_Of_Busy_Nodes := CPU_Range'Pred (No_Of_Busy_Nodes);
      end Dec;

   end Busy_Nodes;

end Hold_when_Busy;
